#ifndef _STDHEPCONVERTER_H_
#define _STDHEPCONVERTER_H_

/*
  ---- Delphes ----
  A Fast Simulator for general purpose LHC detector
  S. Ovyn ~~~~ severine.ovyn@uclouvain.be
  
  Center for Particle Physics and Phenomenology (CP3)
  Universite Catholique de Louvain (UCL)
  Louvain-la-Neuve, Belgium
*/

/// \file SmearUtil.h
/// \brief HEPEVTConverter class, and some generic definitions


#include <iostream>
#include <sstream>
#include <fstream>
#include <vector>
#include <string>

#include "TLorentzVector.h"
#include "TRandom.h"

#include "Utilities/ExRootAnalysis/interface/BlockClasses.h"
#include "Utilities/ExRootAnalysis/interface/TSimpleArray.h"
#include "Utilities/CDFCones/interface/PhysicsTower.h"
#include "Utilities/ExRootAnalysis/interface/LHEF.h"

#include "interface/DataConverter.h"

using namespace std;

class STDHEPConverter : public DataConverter
{
public:

  STDHEPConverter(const string& inputFileList, const string& outputFileName);
  ~STDHEPConverter();

private:
  void AnalyseEvent(ExRootTreeBranch *branch, const Long64_t eventNumber);
  void AnalyseParticles(ExRootTreeBranch *branch);



};

#endif
